Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2279803002: Fix UnindexedRulesetWriter finishing. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months ago by pkalinnikov
Modified:
10 months, 4 weeks ago
Reviewers:
engedy
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix UnindexedRulesetWriter finishing. This CL fixes the bug where UnindexedRulesetWriter doesn't trim the CodedOutputStream on Finish, resulting in the output having some extra uninitialized bytes at the end. BUG=609747 Committed: https://crrev.com/1ffab702f55fb26416fd782e0f86f692db39f346 Cr-Commit-Position: refs/heads/master@{#414762}

Patch Set 1 #

Patch Set 2 : Add regression test. #

Total comments: 8

Patch Set 3 : Address comments of engedy@ #

Patch Set 4 : Remove redundant test. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -2 lines) Patch
M components/subresource_filter/core/browser/ruleset_service.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/subresource_filter/core/common/unindexed_ruleset.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M components/subresource_filter/core/common/unindexed_ruleset.cc View 1 2 1 chunk +4 lines, -1 line 0 comments Download
M components/subresource_filter/core/common/unindexed_ruleset_unittest.cc View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (15 generated)
pkalinnikov
PTAL.
11 months ago (2016-08-25 14:34:39 UTC) #3
engedy
Looks good, but can I haz regression tests plz?
11 months ago (2016-08-25 16:32:42 UTC) #4
pkalinnikov
Sure, here you are.
10 months, 4 weeks ago (2016-08-26 09:08:13 UTC) #5
engedy
LGTM % comments, thanks! https://codereview.chromium.org/2279803002/diff/20001/components/subresource_filter/core/common/unindexed_ruleset.cc File components/subresource_filter/core/common/unindexed_ruleset.cc (right): https://codereview.chromium.org/2279803002/diff/20001/components/subresource_filter/core/common/unindexed_ruleset.cc#newcode54 components/subresource_filter/core/common/unindexed_ruleset.cc:54: const bool success = !pending_chunk_.url_rules_size() ...
10 months, 4 weeks ago (2016-08-26 15:43:17 UTC) #6
pkalinnikov1
Done. One question. https://codereview.chromium.org/2279803002/diff/20001/components/subresource_filter/core/common/unindexed_ruleset.cc File components/subresource_filter/core/common/unindexed_ruleset.cc (right): https://codereview.chromium.org/2279803002/diff/20001/components/subresource_filter/core/common/unindexed_ruleset.cc#newcode54 components/subresource_filter/core/common/unindexed_ruleset.cc:54: const bool success = !pending_chunk_.url_rules_size() || ...
10 months, 4 weeks ago (2016-08-26 16:29:48 UTC) #10
pkalinnikov1
Removed the test, because it is covered by the introduced "num_of_bytes" check.
10 months, 4 weeks ago (2016-08-26 16:37:48 UTC) #11
engedy
ACK, still LGTM.
10 months, 4 weeks ago (2016-08-26 16:39:21 UTC) #14
engedy
On 2016/08/26 16:39:21, engedy wrote: > ACK, still LGTM. Could you please describe in a ...
10 months, 4 weeks ago (2016-08-26 16:39:44 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2279803002/60001
10 months, 4 weeks ago (2016-08-26 18:15:49 UTC) #22
commit-bot: I haz the power
Committed patchset #4 (id:60001)
10 months, 4 weeks ago (2016-08-26 18:48:43 UTC) #24
commit-bot: I haz the power
10 months, 4 weeks ago (2016-08-26 19:16:24 UTC) #26
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/1ffab702f55fb26416fd782e0f86f692db39f346
Cr-Commit-Position: refs/heads/master@{#414762}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973